From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: www-apps/code-server-bin/
Date: Mon, 26 Jun 2023 11:24:20 +0000 (UTC) [thread overview]
Message-ID: <1687410711.6eb6fa15494848fbfc86d26d803b39abfd800da3.andrewammerlaan@gentoo> (raw)
commit: 6eb6fa15494848fbfc86d26d803b39abfd800da3
Author: Leonardo Hernández Hernández <leohdz172 <AT> proton <DOT> me>
AuthorDate: Thu Jun 22 05:11:26 2023 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Thu Jun 22 05:11:51 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6eb6fa15
www-apps/code-server-bin: add 4.14.0
Signed-off-by: Leonardo Hernández Hernández <leohdz172 <AT> proton.me>
www-apps/code-server-bin/Manifest | 2 +
.../code-server-bin/code-server-bin-4.14.0.ebuild | 105 +++++++++++++++++++++
2 files changed, 107 insertions(+)
diff --git a/www-apps/code-server-bin/Manifest b/www-apps/code-server-bin/Manifest
index 1f1f447cc..27cd497d9 100644
--- a/www-apps/code-server-bin/Manifest
+++ b/www-apps/code-server-bin/Manifest
@@ -2,3 +2,5 @@ DIST code-server-4.12.0-linux-amd64.tar.gz 97828967 BLAKE2B 60089c914ba94eff0bfa
DIST code-server-4.12.0-linux-arm64.tar.gz 96637295 BLAKE2B ab842644f50871e97016c08e9470fa24ae2a1d2b4dc344faf7a45153595deed6cd88146adbf1871db2082a0a06a0d12fc50eb588c7307f51d9737cb5c6b230f1 SHA512 dc09e21ff35f987cdb7f5b62d2133b53af5f634b747a13b7fe9cff0c6be61a93950b1e23a8869206b8ed3544bb34221d2c38d6fb25d176e8136ebd0d255fe7ad
DIST code-server-4.13.0-linux-amd64.tar.gz 97870904 BLAKE2B 320b845f1cca424c52022795bd77d1646786dfa1582944aa402e49e877c90af32a069662af5bd8385671118f74d4f66bfc95d4d1f875e865f74fd81732290559 SHA512 e7f50fb0bff5dbe5b075d6c1410f056f0e78e790eeab91fd0fa9596b1c52b8243798f10d5f609beb0288f965eb40b4519a0ad83972804f52dc1b88e456d91a7f
DIST code-server-4.13.0-linux-arm64.tar.gz 96675774 BLAKE2B 4c117fa6e0c06b5203863ae1a35d5a57e36c0bc339ddf009ff106efbf3a0207ea9deb9efbf868a14f9c0bf64e3034c626d99647073c90fa9c4dd59b938b2e0ae SHA512 04478cc1280326fede817549e21a086f1f0281a79b52059a1523246f42d024463a7aac61f443b6441e10f202558889ad9cb63c962f4a075cd78c14b00318d5b9
+DIST code-server-4.14.0-linux-amd64.tar.gz 98653504 BLAKE2B 342363a9c00894b65e716352c14b87230704e47ddb068079b25957577a90c1dddf77cfbdc715261d6eb849a5f2569401cb062c0fe6f804c8e60169855b5b2212 SHA512 7772397d5abc0a290a15899346a5dcbe8eec5bc44948a5845ed23758ecec1fd0f21e8ab0ac413053b1e36ccc5c69e877ed01fce1d0f09ebf12aa3e96b0483ee4
+DIST code-server-4.14.0-linux-arm64.tar.gz 97470074 BLAKE2B 414da8e74184672201772470d940a4a323b5f0757962b7d753556420693f46c334235c0e5d5f12ab5372ca28b44bea2f630185deb8efd7a81fe5c50aed1cbd27 SHA512 ac303aa02719a897941f2d117168395d590f2efa366cc2b8a90699ef265032183f3a8c221451cb0f3228ecc13767fc896a903adfdac7e636782f262b44b69f0c
diff --git a/www-apps/code-server-bin/code-server-bin-4.14.0.ebuild b/www-apps/code-server-bin/code-server-bin-4.14.0.ebuild
new file mode 100644
index 000000000..35845168a
--- /dev/null
+++ b/www-apps/code-server-bin/code-server-bin-4.14.0.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN="${PN/-bin/}"
+MY_P="${MY_PN}-${PV}"
+BASE_URI="https://github.com/coder/${MY_PN}/releases/download/v${PV}/${MY_P}-linux"
+
+inherit systemd
+
+DESCRIPTION="VS Code in the browser (binary version with unbundled node and ripgrep)"
+HOMEPAGE="https://coder.com/"
+SRC_URI="
+ amd64? ( ${BASE_URI}-amd64.tar.gz )
+ arm64? ( ${BASE_URI}-arm64.tar.gz )
+"
+RESTRICT="test"
+LICENSE="MIT 0BSD ISC PYTHON BSD-2 BSD Apache-2.0 Unlicense LGPL-2.1+
+ || ( BSD-2 MIT Apache-2.0 )
+ || ( MIT WTFPL )
+ || ( BSD GPL-2 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ ${DEPEND}
+ >=net-libs/nodejs-16.0.0[ssl]
+ sys-apps/ripgrep
+ app-crypt/libsecret
+"
+
+S="${WORKDIR}/${MY_P}-linux-${ARCH}"
+
+PATCHES=( "${FILESDIR}/${PN}-node.patch" )
+
+DOCS=( "LICENSE" "README.md" "ThirdPartyNotices.txt" )
+
+QA_PREBUILT="*"
+
+# Relative
+VSCODE_MODULES="lib/vscode/node_modules"
+
+QA_PRESTRIPPED="
+ opt/${PN}/node_modules/@node-rs/argon2-linux-x64-musl/argon2.linux-x64-musl.node
+ opt/${PN}/${VSCODE_MODULES}/@parcel/watcher/prebuilds/linux-x64/node.napi.musl.node
+ opt/${PN}/${VSCODE_MODULES}/@parcel/watcher/prebuilds/linux-x64/node.napi.glibc.node
+"
+
+src_prepare() {
+ default
+
+ # We remove as much precompiled code as we can,
+ # node modules not written in JS cannot be removed
+ # thus "-bin".
+
+ # use system node
+ rm ./lib/node || die "Failed to remove bundled nodejs"
+
+ # remove bundled ripgrep binary
+ rm ./"${VSCODE_MODULES}"/@vscode/ripgrep/bin/rg \
+ || die "Failed to remove bundled ripgrep"
+
+ # Only required at build time
+ find "${S}" -type l -name python3 -delete || die
+
+ # not needed
+ rm ./postinstall.sh || die
+
+ # For windows
+ rm -r ./"${VSCODE_MODULES}"/@parcel/watcher/prebuilds/win32-x64 || die
+
+ if [[ $ELIBC != "musl" ]]; then
+ rm ./"${VSCODE_MODULES}"/@parcel/watcher/prebuilds/linux-x64/node.napi.musl.node || die
+ elif [[ $ELIBC != "glibc" ]]; then
+ rm ./"${VSCODE_MODULES}"/@parcel/watcher/prebuilds/linux-x64/node.napi.glibc.node || die
+ rm ./"${VSCODE_MODULES}"/@parcel/watcher/prebuilds/darwin-x64/node.napi.glibc.node || die
+ rm ./"${VSCODE_MODULES}"/@parcel/watcher/prebuilds/darwin-arm64/node.napi.glibc.node || die
+ fi
+
+ rm -r ./lib/vscode/extensions/node_modules/.bin || die
+}
+
+src_install() {
+ einstalldocs
+
+ insinto "/opt/${PN}"
+ doins -r .
+ fperms +x "/opt/${PN}/bin/${MY_PN}"
+ dosym -r "/opt/${PN}/bin/${MY_PN}" "/opt/${PN}/bin/${PN}"
+ dosym -r "/opt/${PN}/bin/${PN}" "${EPREFIX}/usr/bin/${PN}"
+
+ dosym -r "/usr/bin/rg" \
+ "${EPREFIX}/opt/${PN}/${VSCODE_MODULES}/@vscode/ripgrep/bin/rg"
+
+ systemd_douserunit "${FILESDIR}/${PN}.service"
+ newinitd "${FILESDIR}/${PN}.rc" "${PN}"
+ newconfd "${FILESDIR}/${PN}.conf" "${PN}"
+}
+
+pkg_postinst() {
+ elog "When using code-server systemd service run it as a user"
+ elog "For example: 'systemctl --user enable --now code-server'"
+}
next reply other threads:[~2023-06-26 11:24 UTC|newest]
Thread overview: 52+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-26 11:24 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-10 23:52 [gentoo-commits] repo/proj/guru:master commit in: www-apps/code-server-bin/ Haelwenn Monnier
2024-07-10 23:52 Haelwenn Monnier
2024-07-10 23:52 Haelwenn Monnier
2023-11-30 10:44 Andrew Ammerlaan
2023-11-01 23:27 Haelwenn Monnier
2023-10-02 12:24 David Roman
2023-09-25 10:00 Florian Schmaus
2023-08-01 14:17 David Roman
2023-08-01 14:17 David Roman
2023-07-31 14:53 David Roman
2023-07-22 13:07 David Roman
2023-07-22 13:07 David Roman
2023-06-27 8:24 Florian Schmaus
2023-06-26 11:24 Andrew Ammerlaan
2023-05-21 7:23 Viorel Munteanu
2023-05-21 7:23 Viorel Munteanu
2023-04-23 8:40 Florian Schmaus
2023-04-23 8:40 Florian Schmaus
2022-12-31 10:37 Florian Schmaus
2022-10-04 2:54 Haelwenn Monnier
2022-09-26 9:48 Andrew Ammerlaan
2022-09-09 20:02 Ronny Gutbrod
2022-04-15 18:42 Andrew Ammerlaan
2022-04-15 18:42 Andrew Ammerlaan
2022-04-15 18:42 Andrew Ammerlaan
2022-04-15 18:42 Andrew Ammerlaan
2022-03-07 15:15 Ronny Gutbrod
2022-03-07 15:15 Ronny Gutbrod
2022-02-13 20:24 Arthur Zamarin
2022-02-01 10:38 Florian Schmaus
2022-02-01 10:38 Florian Schmaus
2021-09-25 17:14 Arthur Zamarin
2021-09-25 17:14 Arthur Zamarin
2021-09-25 17:14 Arthur Zamarin
2021-05-22 10:05 Andrew Ammerlaan
2021-05-11 7:39 Andrew Ammerlaan
2021-05-11 7:39 Andrew Ammerlaan
2021-04-09 12:53 Andrew Ammerlaan
2021-04-09 12:53 Andrew Ammerlaan
2021-03-28 11:43 Andrew Ammerlaan
2021-03-26 18:11 Andrew Ammerlaan
2021-03-26 18:11 Andrew Ammerlaan
2021-03-26 18:11 Andrew Ammerlaan
2021-03-11 13:16 Andrew Ammerlaan
2021-02-13 11:42 Andrew Ammerlaan
2021-02-13 11:42 Andrew Ammerlaan
2021-02-07 8:24 Andrew Ammerlaan
2021-02-07 8:24 Andrew Ammerlaan
2020-10-25 12:32 Andrew Ammerlaan
2020-08-04 8:42 Andrew Ammerlaan
2020-07-28 9:12 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1687410711.6eb6fa15494848fbfc86d26d803b39abfd800da3.andrewammerlaan@gentoo \
--to=andrewammerlaan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox